<?php
$current_organizer="idea";
require ("../lib-abdesk.php");
CheckCookie();
require ("lib-search.php");
require ("../lib-manuals.php");


echo "<html><head><title>Manual - Idea Organizer</title>
<link rel=stylesheet href='css/i.css' type='text/css'>

<style type=\"text/css\">
.c
{	font-weight: bold;
	font-family:  monospace;
}
</style></head>

<body><center>";

AllOrganizerNavLinks(); 

echo "<h1>Ideas Search Commands</h1></center>
<p>
<div class=\"navanchs\">
<a href=\"#mysqlcrashtip\">A Tip To Make MySQL Crashes Less Terrible</a> | <a href=\"#formtips\">Tips for Filling Out Forms</a>
<p>
<a href=\"#ideadatasearch\">Idea Data Search Commands</a><br>
<a href=\"#displayoptions\">Display Option Commands</a><br>
<a href=\"#searchformoptions\">Search Form Option Commands</a>: <a href=\"#orders\">Order Commands</a> | <a href=\"#onlys\">Only Commands</a> | <a href=\"#includes\">Include Commands</a> | <a href=\"#excludes\">Exclude Commands</a><br><a href=\"#tagsearch\">Tag Search Commands</a>
<p>
<a href=\"#editcommands\">Edit Commands</a> - 
<a href=\"#selectingtheidearecordsthatwillbeedited\">Selecting The Idea Records That Will Be Edited</a> - <a href=\"#whatthedifferenteditbuttonsdo\">What the Different Edit Buttons Do</a> - <a href=\"#nontageditcommands\">Non-Tag Edit Commands</a> - <a href=\"#tageditcommands\">Tag Edit Commands</a>
<p>
<a href=\"#explanation-of-syms\">Explanation of Symbols</a> | 
<a href=\"#explanation-of-cats\">Explanation of Categories</a></div>
<p>
<div id='maintext'>";


echo "<p><center><H3>Complete Search Command List</h3></center>";

echo "<table>";

foreach ($list_allcommandarrays as $arr)
{
	echo "<tr><td  align=right><b>$arr</b><td align=left>";
	
	foreach ( ${$arr} as $command )
	{
		echo " $command ";
	}
	#$alleditcommands = array_merge( $alleditcommands, ${$arr} );
}
echo "</table>";

echo "<p><br>";



echo "<p><center><H3>Complete Edit Command List</h3></center>";

echo "<table>";

foreach ($list_alleditcommandarrays as $arr)
{
	echo "<tr><td  align=right><b>$arr</b><td align=left>";
	
	foreach ( ${$arr} as $command )
	{
		echo " $command ";
	}
	#$alleditcommands = array_merge( $alleditcommands, ${$arr} );
}
echo "</table>";

echo "<p><br>";


PrintIntro("Idea", "ABIOQL");
PrintDynamicallyGeneratedBit();
PrintMysqlCrashTip();
PrintFormTips("Idea");

echo "<p><br>";

echo "<a name='ideadatasearch'></a><hr width=25%><p><br>";

echo "<center><h2>Idea Data Search Commands</h2></center><p>";

PrintCommandsArray($titlecommands);

echo " - Finds ideas where the title contains strings like all of the arguments you entered.<p>";

PrintCommandsArray($titleorcommands);

echo " - Finds ideas where the title contains strings like any of the arguments you entered.<p>";

PrintCommandsArray($titlexcommands);

echo " - Finds ideas where the title is exactly the same as any of the arguments you entered. Capitalization doesn't matter.<p><br><br>

<b><big>These next ones are slower to execute than they were originally, because the longdesc and quote fields are now located in separate tables.</big></b></center><p><br>";


PrintCommandsArray($longdesccommands);

echo " - Finds ideas where the longdesc contains strings like all of the arguments you entered.  When this command is issued without arguments, finds all ideas whose longdesc isn't null.<p>";

PrintCommandsArray($longdescorcommands);

echo " - Finds ideas where the longdesc contains strings like any of the arguments you entered.<p><br>";


PrintCommandsArray($quotecommands);

echo " - Finds ideas where the quote contains strings like all of the arguments you entered.  When this command is issued without arguments, finds all ideas whose quote isn't null.<p>";

PrintCommandsArray($quoteorcommands);

echo " - Finds ideas where the quote contains strings like any of the arguments you entered.<p><br>";


/*  These commands need to be fixed, they no longer work...
PrintCommandsArray($quoteorldcommands);

echo " - Finds ideas where the quote or longdesc contain strings like all of the arguments you entered.  When this command is issued without arguments, finds all ideas whose quotes or longdesc isn't null.<p>";

PrintCommandsArray($quoteorldorcommands);

echo " - Finds ideas where the quote or longdesc contain strings like any of the arguments you entered.<p>";*/


echo "<p><br><a name=\"displayoptions\"></a>
<hr width=75%><p><br>
<center><h2>Display Option Commands</h2></center>
<p>
<br>";

PrintCommandsArray($nosymbolscommands);

echo " - Uses text instead of Unicode symbols.<p>";

PrintCommandsArray($usesymbolscommands);

echo " - The default setting. Uses Unicode symbols instead of text.<p>";

PrintCommandsArray($precommands);
echo " - Encloses the longdesc and quote in &lt;pre> HTML tags.";

echo "<p><br><a name=\"searchformoptions\"></a>
<hr width=75%><p><br>
<center><h2>Search Form Option Commands</h2>
<p>
Any commands which change (or can change) the settings in the search form.</center>
<p>
<br>";

PrintCommandsArray($pagenumcommands);

echo " - Goes to the page number you specified.<p>";

PrintCommandsArray($ideanumcommands);

echo " - Changes the number of ideas displayed per page.<p><br>";


PrintCommandsArray($nocountcommands);

echo " - Causes no count query to be executed, and as a count of records, the lister will use 9999.  (This might cause glitches to happen.)<p><br>";

PrintCommandsArray($ignorecbcommands);

echo " - Causes the search to ignore all the Include checkboxes, Only checkboxes, and Order checkboxes.<p>";

PrintCommandsArray($ignoreincludecbcommands);

echo " - Ignores all the Include checkboxes.<p>";

PrintCommandsArray($ignoreonlycbcommands);

echo " - Ignores all the Only checkboxes.<p>";

PrintCommandsArray($ignoreordercbcommands);

echo " - Ignores all the Order checkboxes.<p>";

echo "<p><br>
<a name=\"orders\"></a>
<hr width=25%><p><br>

<center><h3>Order Commands</h3></center>
<p>";

PrintCommandsArray($lastreadcommands);

echo " - Orders the links list by last-read date in ascending order, with recently-read links at the bottom, and unread or less recently read links at the top.<p><br>";

PrintCommandsArray($ascs); br();
PrintCommandsArray($descs);

echo " - Orders the links list in ascending or descending order.<p><br>";

PrintCommandsArray($ordercommands);

echo " - Orders the links list by whatever orders you specify.  The names and abbreviations you can use are:<p>";
echo "<center><table cellpadding=2><tr>";

$x=0;
foreach ($order_abrev_arrs as $arr => $nonabrevname)
{	if ($x%3==0)
	{	echo "<tr>";
	}
	echo "<th>$nonabrevname<td>"; PrintCommandsArray(${$arr} );
	$x++;
}
echo "</table></center>";

echo "<p>Optionally, you follow each order argument with an abbreviation for ascending or descending order:<br><blockquote>";

PrintCommandsArray($ascs); br();
PrintCommandsArray($descs);

echo "</blockquote>";

echo "<p>
Example:<p>

<blockquote><span class=\"c\">order liking desc, title asc</span></blockquote>";


echo "<p><br>
<a name=\"onlys\"></a>
<hr width=25%><p><br>

<center><h3>Only Commands</h3></center>
<p>";

PrintCommandsArray($onlycommands);

echo " - Makes it so the link list includes only the links of the categories you specify.  The cateegory names and abbreviations you can use are:<p>";
echo "<center><table cellpadding=2><tr>";

$x=0;
foreach ($abrev_arrs as $arr => $nonabrevname)
{	if ($x%3==0)
	{	echo "<tr>";
	}
	echo "<th>$nonabrevname<td>"; PrintCommandsArray(${$arr} );
	$x++;
}
echo "</table></center>";

echo "<p><br>
<a name=\"includes\"></a>
<hr width=25%><p><br>

<center><h3>Include Commands</h3></center>
<p>";

PrintCommandsArray($includecommands);

echo " - Makes it so the search is permitted to include links of the categories you specify that are normally excluded by default.  The cateegory names you can use are:<p><blockquote>";

PrintCommandsArray($includeattributes);

echo "</blockquote><p>You can also abbreviate the names in the ways indicated in preceding sections.<p><br>";

PrintCommandsArray($includeallcommands);

echo " - Causes all the above categories to be included.<p>";

PrintCommandsArray($includeintcommands);

echo " - Causes the interesting categories (namely, List Item, To Do, Status, Arc, Aside, Question, Recurrent) to be included.<p>";

PrintCommandsArray($includetypcommands);

echo " - Causes the categories I typically look at (To Do, Status, Arc, Question, Recurrent) to be included.<p>";

PrintCommandsArray($includequestioncommands);

echo " - Causes the categories of unknown or questionable interest (Repository, Trivial, Travelog) to be included.";

echo "<p><br>
<a name=\"excludes\"></a>
<hr width=25%><p><br>

<center><h3>Exclude Commands</h3></center>
<p>";

PrintCommandsArray($excludecommands);

echo " - Excludes ideas of the categories you specify.  The cateegory names you can use are:<p>";

echo "<center><table cellpadding=2><tr>";

$x=0;
foreach ($abrev_arrs as $arr => $nonabrevname)
{	if ($x%3==0)
	{	echo "<tr>";
	}
	echo "<th>$nonabrevname<td>"; PrintCommandsArray(${$arr} );
	$x++;
}
echo "</table></center>";

echo "<p><br>";

PrintCommandsArray($excludeallmaincats);

echo " - Excludes all links which belong to any of the 7 main categories (aesthetic, utilit, educational, forfun, humorous, news, curio).<p><br>";

PrintCommandsArray($excludeothermaincats);

echo " - Excludes all links belonging to any of the 7 main categories other than the categories you've used as an Only filter.
<p>
So, if you want to look exclusively at links which belong to both Aesthetic and Utilitarian categories but no other categories, you would input these commands:
<p>
<blockquote><span class=\"c\">igo;; only aes, util;; xoc</span></blockquote>
<p>
The \"igo\" command is there so the search will ignore any Only checkboxes that are checked.  Without it, any filled checkboxes you haven't noticed and unchecked could interfere with your search.<p><br>";

PrintCommandsArray($excludeboringcommands);

echo " - Excludes the most boring categories (Clutter Pile, Junk Pile, Obsolete, Iced, Done, Hide).<p><br>";

PrintCommandsArray($excludesubtagcommands);

echo " - Makes it so when conducting a tag search, subtags (that is, tags which were made by splitting a multi-word tag into separate tags) will be excluded from being searched.
<p>
So, if you do a tag search for a tag named \"Guitar\", then if something is tagged only with \"Electric Guitar\" it won't be found.<p><br>";

PrintCommandsArray($ignorecbcommands);

echo " - Causes the search to ignore all the Include checkboxes, Only checkboxes, and Order checkboxes.<p>";

PrintCommandsArray($ignoreincludecbcommands);

echo " - Ignores all the Include checkboxes.<p>";

PrintCommandsArray($ignoreonlycbcommands);

echo " - Ignores all the Only checkboxes.<p>";

PrintCommandsArray($ignoreordercbcommands);

echo " - Ignores all the Order checkboxes.<p>";


echo "<p><br>
<a name=\"tagsearch\"></a>
<hr width=75%><p><br>
<center><h2>Tag Search Commands</h2></center><p><br>

The first set of commands will find files which have all of the tags you entered, the second set will find files which have any of the tags you entered.<p>";

PrintCommandsArray($anytagcommands); br();
PrintCommandsArray($anytagorcommands); p(); br();


PrintCommandsArray($maintagcommands); br();
PrintCommandsArray($maintagorcommands); p(); br();

PrintCommandsArray($othertagcommands); br();
PrintCommandsArray($othertagorcommands); p(); br();


PrintCommandsArray($projectagcommands); br();
PrintCommandsArray($projectagorcommands); p(); br();


PrintCommandsArray($bundletagcommands); br();
PrintCommandsArray($bundletagorcommands); echo " - These sets find files which have the tags you input as bundle tags (both the tags shown as green, boxed text, and the \"other bundle\" tags).<p><br>"; 

PrintCommandsArray($otherbundletagcommands); br();
PrintCommandsArray($otherbundletagorcommands); echo " - These only find other bundle tags and ignore regular bundle tags.  I'm not sure there's much reason to do that, though.<p><br>";

PrintCommandsArray($authortagcommands); br();
PrintCommandsArray($authortagorcommands); p(); br();

PrintCommandsArray($languagetagcommands); br();
PrintCommandsArray($languagetagorcommands); p(); br();

PrintCommandsArray($tofortagcommands); br();
PrintCommandsArray($tofortagorcommands); p(); br();

PrintCommandsArray($origintagcommands); br();
PrintCommandsArray($origintagorcommands); p(); br();

PrintCommandsArray($excludesubtagcommands);

echo " - Makes it so when conducting a tag search, subtags (that is, tags which were made by splitting a multi-word tag into separate tags) will be excluded from being searched.
<p>
So, if you do a tag search for a tag named \"Guitar\", then if something is tagged only with \"Electric Guitar\" it won't be found.";


echo "
<p>
<br>
<a name=\"editcommands\"></a>
<hr width=75%><p><br>";

echo "<center><h1>Edit Commands</h1></center></center>";

echo "Below are commands you can use in the mass editor text box in the lister.  Be very careful when using the mass editor - there's no built-in way to undo anything you do, and there still might be glitches that I'm unaware of.  The only way to reverse an edit is if you have a backup copy of your database as it was before you executed the edit.";

echo "<p><br><hr width=25%><p><br>

<a name=\"selectingtheidearecordsthatwillbeedited\"></a>
<center><h2>Selecting The Idea Records That Will Be Edited</h2></center>
<p>
The most typical way to select the ideas that will be affected by your edit commands is just to click on them in the lister.  You can tell if an idea is selected in two ways - the idea info will be highlighted (if you have JavaScript turned on), and/or a check will be in the checkbox amongst the idea info.
<p>
There are also two (sets of) commands you can use to select records.<p>";

PrintCommandsArray($editallcommands); 

echo " - Disabled by default; must be enabled by setting the $" . "idea_organizer__allows_allresults_mass_edit_command variable in lib-abdesk.php to true. This is the most all-encompassing (and dangerous) idea selection command.  All the ideas resulting from your search will be edited.  Editing checked items or using the page command is faster and less dangerous, though.<p>";

PrintCommandsArray($editpagecommands); 

echo " - These edit all the items on the lister page you're on, instead of the entire search.";


echo "<p><br><hr width=25%><p><br>

<a name=\"whatthedifferenteditbuttonsdo\"></a>
<center><h2>What the Different Edit Buttons Do</h2></center>
<p>
There are three different buttons you can click to execute an edit.  If having three different edit buttons bothers you, you can edit the source code of list-files.php to get rid of them, either by deleting them or by commenting them out.
<p>
Find the buttons in the source code by searching for the text \"&lt;p>&lt;br>&lt;br>Edit Buttons:&lt;br>\" (without quotes).  To comment out HTML code, you put an exclamation point after the &lt; for a tag.  Find the beginning of the code for the buttons - \"&lt;input\" [...] (without quotes) - and put an exclamation point after the &lt; sign, like \"&lt!input\" [...].
<p>
<ul><li><b>Edit</b> - This will execute the edit and display the list with an updated count.  Not all edits you do will modify the count, though, so in such a case, you would be better off clicking No Recount.
<p>
<li><b>No Recount</b> - This will execute the edit and display the list without recounting the items. 2nd fastest.
<p>
<li><b>No List</b> - The fastest edit button.  This will execute the edit, but not recount the items or even show the list.  This is good when you're editing items which were yielded by a slow search, so the lister won't have to annoyingly repeat that search.</ul>";


echo "<p><br><hr width=25%><p><br>";

echo "<a name=\"nontageditcommands\"></a>
<center><h2>Non-Tag Edit Commands</h2></center>
<p>";

PrintCommandsArray($onlycommands); 

echo " - Makes it so the idea records selected will be given the attributes you supply. You'll be able to use most of these <a href=\"#onlys\">attributes and abbreviations</a>.  Negative arguments are (or should be) ignored.<p>";

PrintCommandsArray($excludecommands); 

echo " - Makes it so the idea records selected will be stripped of the attributes you state. You'll be able to use most of these <a href=\"#excludes\">attributes and abbreviations</a>.  Negative arguments are (or should be) ignored.<p>";


PrintCommandsArray($likingcommands);
echo " - Changes the Liking rating of all selected idea records to whatever you specify.<p>";

PrintCommandsArray($qualitycommands);
echo " - Changes the Quality rating of all selected idea records to whatever you specify.<p>";

PrintCommandsArray($humorousnesscommands);
echo " - Changes the Humorousness rating of all selected idea records to whatever you specify.<p>";



echo "<p><br><hr width=25%><p><br>

<a name=\"tageditcommands\"></a>
<center><h2>Tag Edit Commands</h2></center>
<p>
Enter negative arguments to specify a tag which should be removed.<p>";

PrintCommandsArray($maintagcommands); 
PrintCommandsArray($anytagcommands); 

echo " - Adds or removes main tags.<p>";

PrintCommandsArray($othertagcommands); p();

PrintCommandsArray($projectagcommands); p();

PrintCommandsArray($bundletagcommands); 
echo " - Adds or removes bundle tags (the tags which are shown as green, boxed text).<p>";

PrintCommandsArray($otherbundletagcommands); 
echo " - Adds or removes other bundle tags (the bundle tags which aren't shown as green, boxed text).<p>";

PrintCommandsArray($authortagcommands); p();

PrintCommandsArray($languagetagcommands); p();

PrintCommandsArray($origintagcommands); p();

PrintCommandsArray($loctagcommands); p();

PrintCommandsArray($tofortagcommands); p();
br();

PrintCommandsArray($titleandtagcommands);

echo " - This uses the first argument as both a title and a main tag, and uses the rest of the arguments as main tags.";


echo "<p><br>
<a name=\"explanation-of-syms\"></a>
<hr width=75%><p><br>
<center><h2>Explanation of Symbols</h2><p><br>";

echo "<table><tr><td><div class='catsymb'>
<span class='noteb'>&#x270D</span> Date Noted<br><span class='priob'>&#x26A0</span> 
Absolute Priority<br><span class='rpriob'>&#x2656</span> 
Relative Priority<br><span class='plaub'>&#x2644</span> 
Plausibility<br><span class='necb'>&#x2623</span> 
Necessity<br><span class='curiob'>&#x2665</span> 
Liking</div>
<td><div class='catsymb'><span class='intrb'>&#x262F</span> Interest<br><span class='qualb'>&#x265B</span> Quality<br><span class='aesb'>&#x2640</span> Beauty<br><span class='utilb'>&#x2702</span> Usefulness<br><span class='edub'>&#x270E</span> Educational Value<br><span class='funb'>&#x2658</span> Fun<br><span class='humb'>&#x263B</span> Humorousness</div></table>";

echo "Absolute Priority = overall, absolute importance in your life.
<p>
Relative Priority = relative importance in a particular project.
<p>
<br>
<table><tr><td><div class='catsymb'>
<span class='aesb'>&#x2640</span> Aesthetic<br><span class='statb'>&#x2600</span> Status<br><span class='listb'>&#x2611</span> List Item<br><span class='humb'>&#x263B</span> Humorous<br><span class='utilb'>&#x2702</span> Utilitarian<br><span class='edub'>&#x270E</span> Educational<br><span class='tipb'>&#x2606</span> Tip<br><span class='todob'>&#x2642</span> To Do<br><span class='opib'>&#x2615</span> Opinion</div><td><div class='catsymb'><span class='recurb'>&#x264A</span> Recurrent<br><span class='funb'>&#x2658</span> For Fun<br><span class='curiob'>&#x2619</span> Curio<br><span class='sbb'>&#x263D</span> Scrapbook<br><span class='obsb'>&#x263F</span> Observation<br><span class='noteb'>&#x270D</span> Note<br><span class='goalb'>&#x2643</span> Goal<br><span class='quesb'>?</span> Question<br><span class='activb'>&#x2668</span> Activity</div></table></center>

";

echo "<p><br>
<a name=\"explanation-of-cats\"></a>
<hr width=75%><p><br>
<center><h2>Explanation of Categories</h2></center><p><br>";

echo "<ul><li><b>Aesthetic, Utilitarian, Educational, For Fun, Humorous, Frequent, Definite, Tentative, Goal</b> - all pretty self-explanatory.
<p>
<li>Curio - For anything remarkably interesting and/or unusual.
<p>
<li>Observation - Objective observation(s).
<p>
<li>Opinion - Subjective opinion(s) or perception(s).
<p>
<li>Site - An item I want to use on/for my website.  (Any item with the \"Unused\" radio button filled).
<p>
<li>Tip - For any useful tips.  (Turns background blue).
<p>
<li>Scrapbook - Contains something I've copied and pasted from elsewhere. (Turns background blue).
<p>
<li>Activity - An idea for something to do, but which doesn't necessarily definitely have to be done.
<p>
<li>To Do - Something I ought to/intend to get done at some point. (Turns background lighter green).
<p>
<li>Note - Like a Scrapbook item, except by me, instead of by someone else.  (Turns background blue).
<p>
<li>For Other - Something which is for someone other than myself.
<p>
<li>Quote Below - If this is checked, any text you put in the Quote field will be printed below the text you put in the Longdesc field.</ul>
<p>
<br>
<big>There are 15 categories which are hidden from the list by default (unless you click the Long List link instead of List Ideas)::</big>
<p>
<ol><li>Repository - For newly-added records, or any records I want to add more info to later.
<p>
<li>To Do - Things I ought to do.  However, I don't want to be reminded of these things unless I'm really in the mood.
<p>
<li>Question - I note down lots of questions, but sometimes it's annoying to keep being confronted with things I don't know the answers to.
<P>
<li>Trivial - For anything rather unimportant.  Not necessarily boring or bad, probably just frivolous or overall insignificant.
<p>
<li>Status - Used for things like how much money I have, or how much I need to pay and by when, or what page I'm on in a book, etc.
<p>
<li>Recurrent - If I do something recurrently there's a good chance I don't need to be reminded of it as much.
<p>
<li>List Item - For records which are part of a list, like a list of all the countries in the world, etc.
<p>
<li>Archive - For stuff with a distinct purpose, like being used in a specialized collection or for a particular project, but which I also want out of the way and not cluttering my main list.
<p>
<li>Aside - For stuff which isn't frequently-used or useful enough to have in the main list, but is otherwise good stuff with at least a vague reason for me to keep it.
<p>
<li>Clutter Pile - For actual clutter that I would be close to not missing if I had to part with it.
<p>
<li>Junk Pile - Actual junk which is pretty much useless.
<p>
<li>Obsolete - This record is no longer useful or doable in its current form.
<p>
<li>Iced - I didn't complete or do much of anything with this item, but instead put it on ice.  Perhaps I'll thaw it out someday (but probably not if it's labeled Obsolete as well).   Turns background gray and grays out some labels.
<p>
<li>Done - Something I actually completed or am done with after putting it to some use. Turns background black and grays out some labels.
<p>
<li>Hide - Anything that I don't want to stumble across and be reminded of.
</ol>
<p><br><center>";

AllOrganizerNavLinks();

